Skip to main content

List Partitions (V2)

This operation lists all partitions.

POST/v2/vectordb/partitions/list
Connection Endpoint

The base URL for this API is in the following format:

https://${CLUSTER_ENDPOINT}

📘Notes
  • You need to fill in ${CLUSTER_ENDPOINT} with that of your Zilliz Cloud cluster.
  • To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
shell
export CLUSTER_ENDPOINT=""
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password.

Example Value: Bearer {{TOKEN}}
Request Body
dbNamestring

The name of the target database.

collectionNamestringrequired

The name of the target collection to which the partition belongs.

partitionNamesarray

The names of the partitions to which this operation applies. When specified, the operation is limited to those partitions; when omitted, the entire Collection is covered.

[]partitionNamesstring

The name of a partition to which this operation applies.

bash
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/partitions/list" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "quick_setup"
}'
Responses

A list of partition names.

A response payload object that the operation may return.

codeinteger

Response code.

dataarray

A list of partition names

[]datastring

A partition name.

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

Successjson
{
"code": 0,
"data": [
"_default"
]
}